Data Source Not Avaialbe in VS2012 - by msny

Status : 

  By Design<br /><br />
		The product team believes this item works according to its intended design.<br /><br />
		A more detailed explanation for the resolution of this particular item may have been provided in the comments section.

Sign in
to vote
ID 777690 Comments
Status Closed Workarounds
Type Bug Repros 0
Opened 1/28/2013 10:47:19 AM
Access Restriction Public


Just upgraded from VS2010 to VS2012 Professional version.
In previous VS's (2010,2008,2005) I had no issues with this but in VS2012 under 

Tools > Connect to Database > Datasource my IBM provider is not showing up to select.
"IBM DB2 for i5/OS .NET Provider"
 I've done some extensive googleing but not finding an answer that seems
to work for me in VS2012. Similar to this one:
I've looked at the machine.config file from the link above, and
it is in there and correct.
The object browser shows the IBM provider properly and my project(s)
references show the DLL and coding with it has no errors.
I simply cannot choose it now as a DB provider. It is installed correctly, no errors.
Any idea on how to get this to show up so I can select it?
The provider supports .NET framwork 4.0 but not EF(LINQ).
Thank you.

Please see this link also:
Sign in to post a comment.
Posted by Yu-Fang [MSFT] on 2/20/2013 at 4:52 PM
Thanks a lot for the feedbacks.

The IBM DB2 provider needs to be re-released to support VS2012. And looks like IBM has released a new version that support VS2012:

Please contact IBM if you have any questions with this. Thanks!
Posted by msny on 2/5/2013 at 3:54 AM
Any progress on this issue?

Thank you.
Posted by Helen [MSFT] on 1/28/2013 at 11:20 PM
Thanks for your feedback.

We are rerouting this issue to the appropriate group within the Visual Studio Product Team for triage and resolution. These specialized experts will follow-up with your issue.
Posted by Macy [MSFT] on 1/28/2013 at 10:50 AM
Thank you for your feedback, we are currently reviewing the issue you have submitted. If this issue is urgent, please contact support directly(